package models

import (
	"gogs.mikescher.com/BlackForestBytes/goext/rfctime"
)

type ConversationNote struct {
	NoteID         ConversationNoteID       `json:"id"              bson:"_id,omitempty"`
	OrganizationID OrganizationID           `json:"organizationID"  bson:"organizationID"`
	CreationTime   rfctime.RFC3339NanoTime  `json:"creationTime"    bson:"creationTime"`
	Title          string                   `json:"title"           bson:"title"`
	Body           string                   `json:"body"            bson:"body"`
	Date           rfctime.RFC3339NanoTime  `json:"date"            bson:"date"`
	Creator        AdminUserID              `json:"creator"         bson:"creator"`
	Participants   []string                 `json:"participants"    bson:"participants"`
	Deleted        *rfctime.RFC3339NanoTime `json:"deleted"         bson:"deleted"`
}
