package models

import "gogs.mikescher.com/BlackForestBytes/goext/rfctime"

type Event struct {
	EventID           EventID                  `json:"id"                bson:"_id,omitempty"`
	FrontendID        *string                  `json:"frontendID"        bson:"frontendID"`
	FrontendEnabled   bool                     `json:"frontendEnabled"   bson:"frontendEnabled"`
	CreationTime      rfctime.RFC3339NanoTime  `json:"creationTime"      bson:"creationTime"`
	Title             string                   `json:"title"             bson:"title"`
	StartTime         rfctime.RFC3339NanoTime  `json:"startTime"         bson:"startTime"`
	EndTime           rfctime.RFC3339NanoTime  `json:"endTime"           bson:"endTime"`
	BackgroundImageID *BlobID                  `json:"backgroundImageID" bson:"backgroundImageID"`
	OrganizationID    OrganizationID           `json:"organizationID"    bson:"organizationID"`
	Deleted           *rfctime.RFC3339NanoTime `json:"deleted"           bson:"deleted"`
}
